<?php
header('Content-Type: application/json');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
$resultado = FALSE;
if($_REQUEST['id']){$id = $_REQUEST['id'];}

if( $_REQUEST["historia"] ) {
    $historia = $_REQUEST['historia'];
 }
 
 if( $_REQUEST["usuario"] ) {
    $usuario = $_REQUEST['usuario'];
 }

 $fecha = dl_fecha::dl_ahora_texto();

if ($id > 0)
{
    $sql = "UPDATE conexiones SET activo = 1 WHERE id = " . $id;
    $resultado = mysqli_query($con, $sql);
    $sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'" . $historia . "','REACTIVA_CONEXION','" . $usuario . "','" . $fecha . "')";
    $resultado2 = mysqli_query($con,$sql);
}    
$res = '';
if ($resultado != FALSE){
    $res="ok";
}
mysqli_close($con);
$resultado = array(
    'mensaje'=> $res
    );
 echo json_encode($resultado);
?>

